Previous: Resources for file system devices, Up: Settings for file system devices [Contents][Index]

#### 6.11.1.2 Command-line options for file system devices

`-iecdevice8`
`+iecdevice8`

  Enable/disable IEC device emulation for device #8 (`IECDevice8=1`, `IECDevice8=0`).

`-iecdevice9`
`+iecdevice9`

  Enable/disable IEC device emulation for device #9 (`IECDevice9=1`, `IECDevice9=0`).

`-iecdevice10`
`+iecdevice10`

  Enable/disable IEC device emulation for device #10 (`IECDevice10=1`, `IECDevice10=0`).

`-iecdevice11`
`+iecdevice11`

  Enable/disable IEC device emulation for device #11 (`IECDevice11=1`, `IECDevice11=0`).

`-device8 <type>`
`-device9 <type>`
`-device10 <type>`
`-device11 <type>`

  Set device type for device 8-11 respectively (`FileSystemDevice8`, `FileSystemDevice9`, `FileSystemDevice10`, `FileSystemDevice11`) (all emulators except vsid). (0: None, 1: Filesystem, 2: OpenCBM (Real))

`-fs8 <Name>`
`-fs9 <Name>`
`-fs10 <Name>`
`-fs11 <Name>`

  Specify the paths for the file system access on drives 8, 9, 10 and 11, respectively (`FSDevice8Dir`, `FSDevice9Dir`, `FSDevice10Dir` and `FSDevice11Dir`) (all emulators except vsid).

`-fs8convertp00`
`+fs8convertp00`

  Enable/disable on-read support for P00 files on drive 8 (`FSDevice8ConvertP00=1`, `FSDevice8ConvertP00=0`) (all emulators except vsid).

`-fs9convertp00`
`+fs9convertp00`

  Enable/disable on-read support for P00 files on drive 9 (`FSDevice9ConvertP00=1`, `FSDevice9ConvertP00=0`) (all emulators except vsid).

`-fs10convertp00`
`+fs10convertp00`

  Enable/disable on-read support for P00 files on drive 10 (`FSDevice10ConvertP00=1`, `FSDevice10ConvertP00=0`) (all emulators except vsid).

`-fs11convertp00`
`+fs11convertp00`

  Enable/disable on-read support for P00 files on drive 11 (`FSDevice11ConvertP00=1`, `FSDevice11ConvertP00=0`) (all emulators except vsid).

`-fs8savep00`
`+fs8savep00`

  Enable/disable saving P00 files on drive 8 (`FSDevice8SaveP00=1`, `FSDevice8SaveP00=0`) (all emulators except vsid).

`-fs9savep00`
`+fs9savep00`

  Enable/disable saving P00 files on drive 9 (`FSDevice9SaveP00=1`, `FSDevice9SaveP00=0`) (all emulators except vsid).

`-fs10savep00`
`+fs10savep00`

  Enable/disable saving P00 files on drive 10 (`FSDevice10SaveP00=1`, `FSDevice10SaveP00=0`) (all emulators except vsid).

`-fs11savep00`
`+fs11savep00`

  Enable/disable saving P00 files on drive 11 (`FSDevice11SaveP00=1`, `FSDevice11SaveP00=0`) (all emulators except vsid).

`-fs8hidecbm`
`+fs8hidecbm`

  Enable/disable hiding of CBM files for drive 8 (`FSDevice8HideCBMFiles=1`, `FSDevice8HideCBMFiles=0`) (all emulators except vsid).

`-fs9hidecbm`
`+fs9hidecbm`

  Enable/disable hiding of CBM files for drive 9 (`FSDevice9HideCBMFiles=1`, `FSDevice9HideCBMFiles=0`) (all emulators except vsid).

`-fs10hidecbm`
`+fs10hidecbm`

  Enable/disable hiding of CBM files for drive 10 (`FSDevice10HideCBMFiles=1`, `FSDevice10HideCBMFiles=0`) (all emulators except vsid).

`-fs11hidecbm`
`+fs11hidecbm`

  Enable/disable hiding of CBM files for drive 11 (`FSDevice11HideCBMFiles=1`, `FSDevice11HideCBMFiles=0`) (all emulators except vsid).

`-fslongnames`
`+fslongnames`

  Enable/disable whether filenames will get converted to 16 character long short names (`FSDeviceLongNames=1`, `FSDeviceLongNames=0`) (all emulators except vsid).

`-fsoverwrite`
`+fsoverwrite`

  Enable/disable whether existing files in the file system can be overwritten by default. Using `OPEN` or `SAVE"@:name"` this is always possible. (`FSDeviceOverwrite=1`, `FSDeviceOverwrite=0`) (all emulators except vsid).

`-flipname <name>`

  Specify name of the flip list file image (`FliplistName`) (all emulators except vsid).

Previous: Resources for file system devices, Up: Settings for file system devices [Contents][Index]